package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author xiaodong.zheng
 * @since 2020-12-22
 */
@Data
@ApiModel(value="Catalog对象", description="")
public class Catalog extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "目录名称")
    private String name;

    @ApiModelProperty(value = "父级目录")
    private String parentId = "0" ;

    @ApiModelProperty(value = "类型",example = "datasource,HD")
    private String type;

    @ApiModelProperty(value = "描述信息")
    private String description;

    @ApiModelProperty(value = "返回数目")
    private Integer count;




}
