package net.wanji.databus.entity.basedata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 数据字典
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2020-12-31
 */
@Data
@ApiModel(value="Dictionary对象", description="")
public class Dictionary extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "字典目录")
    private String catalogId;

    @ApiModelProperty(value = "字典编码")
    private String code;

    @ApiModelProperty(value = "字典名称")
    private String name;

    @ApiModelProperty(value = "参考值")
    private String reference;





}
