package net.wanji.databus.entity.callback;


import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="CallBack对象", description="数据回调")
public class CallBack  extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据库编号")
    private String dbId;

    @ApiModelProperty(value = "业务类型")
    private String biztype;

    @ApiModelProperty(value = "业务编号")
    private String bizid;

}
