package net.wanji.databus.entity.client.displaycenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 每个主题的分享用户表的实体类he
 * @Date 2019/12/19 15:14
 */
@Getter
@Setter
@ApiModel(value = "ShareUserRecord", description = "每个主题的分享用户表")
public class ShareUserRecord extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "分享主题id")
    private String shareId;

    @ApiModelProperty(value = "分享目标用户id")
    private String destinationUserId;

    public static ShareUserRecord newInstance() {
        return new ShareUserRecord();
    }
}
