package net.wanji.databus.entity.client.displaycenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Date 2020/3/4 13:40
 */
@Getter
@Setter
@ApiModel(value = "WebCommonSystemRlat", description = "web常用菜单")
public class WebCommonSystemRlat  extends TrackableEntity {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "卡id")
    private String cardId;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "常用字段")
    private Boolean common;

    public static WebCommonSystemRlat newInstance() {
        return new WebCommonSystemRlat();
    }
}
