package net.wanji.databus.entity.client.frontdevelop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Date 2020/4/8 14:26
 */
@Setter
@Getter
@ApiModel(value = "D2ATableRepo", description = "D2A表返回信息类")
public class D2ATableRepo implements Serializable {

   private static final long serialVersionUID = -6850890695600633113L;

   @ApiModelProperty(value = "表的id")
   private String id;

   @ApiModelProperty(value = "表的英文名")
   private String nameEN;

   @ApiModelProperty(value = "表的中文名")
   private String nameCN;

   @ApiModelProperty(value = "表的字段")
   private List<D2ATableFieldsRepo>  d2ATableFields;
}
