package net.wanji.databus.entity.client.frontdevelop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Date 2020/4/8 16:32
 */
@Setter
@Getter
@ApiModel(value = "MenuRepo", description = "菜单返回类")
public class MenuRepo implements Serializable {
    private static final long serialVersionUID = -8346463233675630628L;

    @ApiModelProperty(value = "菜单id")
    private String id;

    @ApiModelProperty(value = "菜单名")
    private String MenuName;

    @ApiModelProperty(value = "菜单页面")
    private List<WebPage> webPages;
}
