package net.wanji.databus.entity.client.frontdevelop;

import net.wanji.databus.entity.develop.servicedevelop.develop.ApiRestful;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Date 2020/4/8 14:15
 */
@Setter
@Getter
@ApiModel(value = "ModuleInfoRepo", description = "模块信息返回类")
public class ModuleInfoRepo implements Serializable {

    private static final long serialVersionUID = -4106546813497243063L;

    @ApiModelProperty(value = "模块id")
    private String id;

    @ApiModelProperty(value = "模块英文名")
    private String nameEn;

    @ApiModelProperty(value = "模块中文名")
    private String nameCn;

    @ApiModelProperty(value = "接口信息")
    private List<ApiRestful> apiRestfulList;
}
