package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Date 2019/11/25 16:41
 */
@Getter
@Setter
@ApiModel(value = "Role",description = "角色")
public class Role extends TrackableEntity {

    @ApiModelProperty(value = "标志位:普通用户角色，三员管理角色")
    private String flag;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "所属应用id")
    private String appId;

    // 非pojo模型
    @ApiModelProperty(value = "模糊搜索关键词")
    private String keyword;
}
