package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "Template", description = "页面设计器-模板定义表")
public class WebPageTemplate extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "模板所属分组id")
    private String groupId;

    @ApiModelProperty(value = "模板分组key  冗余字段")
    private String groupKey;

    @ApiModelProperty(value = "模板标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "模板名称")
    private String name;

    @ApiModelProperty(value = "模板描述")
    private String desc;

    @ApiModelProperty(value = "模板图标地址")
    private String iconUrl;

}
