package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "TemplateVersion", description = "页面设计器-模板定义版本表")
public class WebPageTemplateVersion extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "关联模板 group key  冗余字段")
    private String groupKey;

    @ApiModelProperty(value = "关联模板基本信息 id")
    private String templateId;

    @ApiModelProperty(value = "关联模板 key  冗余字段")
    private String templateKey;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "版本结构")
    private String templateJson;

    @ApiModelProperty(value = "版本描述")
    private String desc;

    @ApiModelProperty(value = "状态:online/offline")
    private String status ;
}
