package net.wanji.databus.entity.component.menu;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author guohui.wang
 * @date 2020/3/17 14:41
 */
@Data
@ApiModel(value = "ClientDevelopMenu", description = "菜单")
public class ClientDevelopMenu  extends TrackableEntity {
    @ApiModelProperty(value = "菜单所属应用")
    private String appId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "上级菜单id")
    private String parentId;

    @ApiModelProperty(value = "上级菜单名称")
    private String parentName;

    @ApiModelProperty(value = "图片")
    private String image;

    @ApiModelProperty(value = "地址")
    private String url;

    @ApiModelProperty(value = "菜单级别")
    private Integer level;

    @ApiModelProperty(value = "页面设计器菜单绑定pageId")
    private String pageId;

    @ApiModelProperty(value = "页面图片返回参数")
    private String pathParam;

}
