package net.wanji.databus.entity.develop.portaldevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author
 * @Date 2020/6/16 17:44
 */
@Setter
@Getter
@ApiModel(value = "ItemCategory", description = "门户开发-栏目分类")
public class ItemCategory extends TrackableEntity {

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "分类描述")
    private String description;
}
