package net.wanji.databus.entity.develop.repo;


import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 组件Actions参数
 */
@Setter
@Getter
@ApiModel(value = "RepoModuleParams", description = "组件Actions参数")
public class RepoModuleParams extends TrackableEntity {
    @ApiModelProperty(value = "S_ID")
    private String id;

    @ApiModelProperty(value = "name")
    private String name;

    @ApiModelProperty(value = "所属组件")
    private String moduleId;

    @ApiModelProperty(value = "入参")
    private String paticipation;

    @ApiModelProperty(value = "返回值")
    private String returnValue;

    @ApiModelProperty(value = "介绍")
    private String description;
}
