package net.wanji.databus.entity.develop.servicedevelop.appmanage;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 18:13
 */
@Setter
@Getter
@ApiModel(value = "Module", description = "微服务开发-微服务系统模块")
public class Module extends TrackableEntity {

    @ApiModelProperty(value = "模块英文名")
    private String nameEn;

    @ApiModelProperty(value = "模块中文名")
    private String nameCn;

    @ApiModelProperty(value = "所属系统名称(MAN_DEV_APP表UUID)")
    private String appId;

    public static Module newInstance() {
        return new Module();
    }
}
