package net.wanji.databus.entity.develop.servicedevelop.bpm.processemulate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 类描述: 流程启动rest参数
 *
 * @Author
 * @Date 2019/8/27 17:08
 */
@Getter
@Setter
@ApiModel(value = "ProcessStartCondition", description = "流程启动rest参数")
public class ProcessStartCondition implements Serializable {

    @ApiModelProperty(value = "流程定义ID")
    private String processId;

    @ApiModelProperty(value = "处理用户id")
    private String userId;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processemulate.ProcessStartCondition
     * @Author
     * @Date 2019/8/27 17:10
     **/
    public static ProcessStartCondition newInstance() {
        return new ProcessStartCondition();
    }
}
