package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述: 任务完成提交信息 todo delete
 *
 * @Author
 * @Date 2019/8/5 17:08
 */
@Getter
@Setter
@ApiModel(value = "CompleTaskInfo", description = "任务信息")
public class CompleTaskInfo extends TrackableEntity {

    @ApiModelProperty(value = "流程定义ID")
    private String processInstanceId;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "处理用户id")
    private String userId;

    @ApiModelProperty(value = "表单数据")
    private String formData;

    @ApiModelProperty(value = "备注信息")
    private String comment;

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.processdeploy.ProcessId
     * @Author
     * @Date 2019/8/5 17:10
     **/
    public static CompleTaskInfo newInstance() {
        return new CompleTaskInfo();
    }
}
