package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 13:24
 */
@Setter
@Getter
@ApiModel(value = "BpmVar", description = "流程变量表对应实体类")
public class BpmVar extends TrackableEntity {
    @ApiModelProperty(value = "所属流程id")
    private String workflowId;

    @ApiModelProperty(value = "变量名")
    private String varName;

    @ApiModelProperty(value = "变量值")
    private String varValue;

    @ApiModelProperty(value = "条件")
    private String condition;

    @ApiModelProperty(value = "备注")
    private String varRemark;

}
