package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author: xinrui.li
 * @Date: 2020/04/24/18:12
 */
@Getter
@Setter
@ApiModel(value = "MailLog", description = "邮件通知实体类")
public class MailLog extends TrackableEntity {
    @ApiModelProperty(value = "用户ID", required = true)
    private String userId;
    @ApiModelProperty(value = "用户名", required = true)
    private String userName;
    @ApiModelProperty(value = "用户email", required = true)
    private String userEmail;
    @ApiModelProperty(value = "流程实例ID", required = true)
    private String workflowInstId;
    @ApiModelProperty(value = "日志表id", required = true)
    private String workflowLogId;
    @ApiModelProperty(value = "邮件内容", required = true)
    private String content;
    @ApiModelProperty(value = "状态：成功：success、失败：fail", required = true)
    private String status;
}
