package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述: 部门岗位实体对象
 *
 * @Author
 * @Date 2019/8/15 14:00
 */
@Getter
@Setter
@ApiModel(value = "DepartmentPost", description = "部门岗位")
public class DepartmentPost extends TrackableEntity {

    @ApiModelProperty(value = "部门岗位名称")
    private String name;

    private DepartmentPost() {
    }

    public static DepartmentPost newInstance() {
        return new DepartmentPost();
    }
}
