package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述:用户组实体对象
 *
 * @Author
 * @Date 2019/8/15 14:00
 */
@Getter
@Setter
@ApiModel(value = "Group", description = "用户组")
public class Group extends TrackableEntity {

    @ApiModelProperty(value = "用户组id")
    private String id;

    @ApiModelProperty(value = "用户组编号")
    private String num;

    @ApiModelProperty(value = "用户组名称")
    private String name;

    private Group() {
    }

    public static Group newInstance() {
        return new Group();
    }
}
