package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述:服务中台注册接口实体对象
 *
 * @Author yu.liu2
 * @Date 2019/9/2 14:00
 */
@Getter
@Setter
@ApiModel(value = "GatewayServiceType", description = "服务中台注册接口类型")
public class ServiceType extends TrackableEntity {

    @ApiModelProperty(value = "接口类型id")
    private String id;

    @ApiModelProperty(value = "接口类型名称")
    private String name;


    private ServiceType() {
    }

    public static ServiceType newInstance() {
        return new ServiceType();
    }
}
