package net.wanji.databus.entity.develop.servicedevelop.configcenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 14:56
 */
@Setter
@Getter
@ApiModel(value = "RunGroupJar", description = "函数所属jar包")

public class RunGroup extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "部署服务id")
    private String deployId;

    @ApiModelProperty(value = "服务器名称")
    private String psName;

    @ApiModelProperty(value = "服务器ip")
    private String ip;

    @ApiModelProperty(value = "状态")
    private String status;

    public static RunGroup newInstance() {
        return new RunGroup();
    }
}
