package net.wanji.databus.entity.develop.servicedevelop.configcenter;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 14:56
 */
@Setter
@Getter
@ApiModel(value = "UserSyncJar", description = "函数所属jar包")

public class UserSync extends TrackableEntity {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "同步类型；小于0-手动同步，大于0-自动同步；手动同步时I_SYNC_INTERVAL设置为-1")
    private Integer syncInterval;

    @ApiModelProperty(value = "用户选择方式；1-企业，2-部门，3-岗位，4-角色，5-用户")
    private String userType;

    @ApiModelProperty(value = "所选同步用户")
    private String users;

    public static UserSync newInstance() {
        return new UserSync();
    }
}
