package net.wanji.databus.entity.develop.servicedevelop.datamanage;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 *
 * @return
 * @Author wanji
 * @Date 2020/3/16 16:40
 **/
@Setter
@Getter
@ApiModel(value = "DataDictionaryType" , description = "数据字典")
public class DataDictionaryType extends TrackableEntity{

    @ApiModelProperty(value = "数据字典名")
    private String name;

    @ApiModelProperty(value = "系统的id")
    private String appId;

    public static DataDictionaryType newInstance(){return new DataDictionaryType();}

}
