package net.wanji.databus.entity.develop.servicedevelop.develop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * @Author wanji
 * @Date 2020/4/7 16:21
 */
@Data
@ApiModel("流程设计器line参数")
public class LineParam extends TrackableEntity {

    @ApiModelProperty("line所属流程的id")
    private String restfulId;

    @ApiModelProperty("line的id")
    private String lineId;

    @ApiModelProperty("line类型")
    private String lineType;

    @ApiModelProperty("line的结构信息")
    private String lineStructure;
}
