package net.wanji.databus.entity.develop.servicedevelop.develop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 19:21
 */
@Setter
@Getter
@ApiModel(value = "Workflow", description = "微服务开发-流程定义")
public class Workflow extends TrackableEntity {

    @ApiModelProperty(value = "接口id(MAN_DEV_RESTFUL表UUID)")
    private String restfulId;

    @ApiModelProperty(value = "流程json")
    private String flowJson;

    @ApiModelProperty(value = "发布状态(unpublish-未发布，publish-已发布)")
    private String status;

    public static Workflow newInstance() {
        return new Workflow();
    }
}
