package net.wanji.databus.entity.integration.messagecenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/12/16 15:00
 */
@Getter
@Setter
@ApiModel(value = "MessageUser", description = "用户状态")
public class MessageUser implements Serializable {
    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "消息是否已读；0-未读；1-已读")
    private Integer status;

    public static MessageUser newInstance() {
        return new MessageUser();
    }
}
