package net.wanji.databus.entity.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * @author guohui.wang
 * @date 2020/3/17 10:39
 */
@Data
public class AuthorityAppGateway extends TrackableEntity {

    @ApiModelProperty("id")
    public String id;

    @ApiModelProperty("授权用户id")
    public String userId;

    @ApiModelProperty("访问身份id")
    public String appId;

    @ApiModelProperty("服务类型")
    public String serviceType;

    @ApiModelProperty("网关id")
    public String gatewayId;

    @ApiModelProperty("授权码")
    public String authorizedKey;

    @ApiModelProperty("访问身份ids 方便保存使用")
    public String appIds;
}
