package net.wanji.databus.entity.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 服务授权表
 * @Author
 * @Date 2021/3/12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "GisServiceAuth", description = "服务授权表")
public class GisServiceAuthDTO extends TrackableEntity {

    @ApiModelProperty(value = "用户Id")
    private String userIds;

    @ApiModelProperty(value = "服务id")
    private String serviceId;

    public static GisServiceAuthDTO newInstance() {
        return new GisServiceAuthDTO();
    }
}
