package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author wanji
 * @date 2019/3/4
 */
@Getter
@Setter
@ApiModel(value = "Menu", description = "平台设置-菜单")
public class Menu extends TrackableEntity {
    @ApiModelProperty(value = "菜单系统标识")
    private String systemId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "上级菜单id")
    private String parentId;

    @ApiModelProperty(value = "上级菜单名称")
    private String parentName;

    @ApiModelProperty(value = "图片")
    private String image;

    @ApiModelProperty(value = "地址")
    private String url;

    @ApiModelProperty(value = "菜单级别")
    private Integer level;

    @ApiModelProperty(value = "页面设计器菜单绑定pageId")
    private String pageId;

    @ApiModelProperty(value = "是否默认选中")
    private boolean checked;

    public static Menu newInstance() {
        return new Menu();
    }
}
