package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "MobileApp", description = "平台设置-移动APP")
public class MobileApp extends TrackableEntity {

    @ApiModelProperty(value = "移动APP名称")
    private String name;

    @ApiModelProperty(value = "移动APP唯一标识")
    private String uniId;

    @ApiModelProperty(value = "移动APP描述")
    private String description;

    public static MobileApp newInstance() {
        return new MobileApp();
    }

}
