package net.wanji.databus.entity.metadata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2021-10-29
 */
@Data
@ApiModel(value="TableInfo对象", description="")
public class TableInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    private String tableName;

    private String modifyDate;

    private String greatDate;

    private String author;

    private String dataStatistics;

    private String reference;

    private String dataVesion;

    private String preDataVersion;

    private String addStatistics;

    private String modifyStatistics;

    private String deleteStatistics;


    private String dataSource;

    private Integer isPrimary;

    private String nameChn;

    @ApiModelProperty(value = "是否发布: 0不发布，1发布")
    private Integer toPublish;

    @ApiModelProperty(value = "是否必选: 0否，1是")
    private Integer required;

    @ApiModelProperty(value = "是否动态数据源的表: 0否，1是")
    private Integer dynamicSource;

    @ApiModelProperty(value = "是否可编辑: 0否，1是")
    private Integer isEditable;




}
