package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "DeviceChartInfo",description = "设备统计图表")
public class DeviceChartInfo extends TrackableEntity {

    @ApiModelProperty(value = "图表横坐标：设备型号/操作系统")
    private String name;

    @ApiModelProperty(value = "图表数值")
    private Integer chartData;
}
