package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author
 * @Date 2020/6/15 9:37
 */
@Setter
@Getter
@ApiModel(value = "RegionalUser", description = "统计分析-地域分布")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class RegionalUser extends TrackableEntity {

    @JsonIgnore
    @ApiModelProperty(value = "ip地址")
    private String ipAddress;

    @ApiModelProperty(value = "省份名称")
    private String province;

    @ApiModelProperty(value = "各省市独立ip数")
    private Integer provinceIpNumber;

    @ApiModelProperty(value = "各ip访问次数")
    private Integer ipVisitNumber;

    @ApiModelProperty(value = "各ip启动用户次数")
    private Integer ipUserNumber;
}
