package net.wanji.databus.entity.basedata;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author xiaodong.zheng
 * @Date 2021/3/5
 * @description
 */
@Data
public class AdminArea extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "行政区划编码")
    private String adcode;

    @ApiModelProperty(value = "城市行政编码")
    private String cityCode;

    @ApiModelProperty(value = "中心点")
    private String centerPoint;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "父级ID")
    private String pid;

    @ApiModelProperty(value = "等级(1省/直辖市,2地级市,3区县,4镇/街道)")
    private Integer grade;

    @ApiModelProperty(value = "排序号")
    private Integer sort;

    @ApiModelProperty(value = "大类：行政区域，管界，自定义区域")
    private String type1;

    @ApiModelProperty(value = "小类：")
    private String type2;

    /**
     * 非标字段
     **/
    @ApiModelProperty(value = "wkt")
    private String wkt;

    @ApiModelProperty(value = "geoJson")
    private String geoJson;

    @ApiModelProperty(value = "dbId")
    private String dbId;

    @ApiModelProperty(value = "pageNum")
    private Integer pageNum;

    @ApiModelProperty(value = "pageSize")
    private Integer pageSize;



}
