package net.wanji.databus.entity.basedata;

import com.alibaba.fastjson.JSONObject;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author xiaodong.zheng
 * @since 2021-03-01
 */
@Data
@ApiModel(value="版本对象", description="")
public class VersionLog extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "相关表")
    private String dataTable;

    @ApiModelProperty(value = "版本号")
    private String dataVersion;

    @ApiModelProperty(value = "新版本号")
    private String newVersion;

    @ApiModelProperty(value = "关联link")
    private String linkVersion;

    @ApiModelProperty(value = "自定义一区域")
    private String author;

    @ApiModelProperty(value = "自定义区域")
    private String dtCreatedate;

    @ApiModelProperty(value = "自定义区域")
    private String updateFilePath;




}
