package net.wanji.databus.entity.client.frontdevelop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description:
 * @Date 2020/4/9 18:52
 */
@Setter
@Getter
@ApiModel(value = "D2ATableRepo", description = "D2A表字段返回类")
public class D2ATableFieldsRepo implements Serializable {

    private static final long serialVersionUID = 8939682694714343787L;

    @ApiModelProperty(value = "字段id")
    private String id;

    @ApiModelProperty(value = "字段英文名名")
    private String fieldNameEn;

    @ApiModelProperty(value = "字段中文名")
    private String fieldNameCn;
}
