package net.wanji.databus.entity.client.frontdevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * Created by shuang.dai on 2020/11/13
 */
@Getter
@Setter
@ApiModel(value = "WebAppPage", description = "web应用页面表")
public class WebAppPage extends TrackableEntity {

    @ApiModelProperty(value = "系统id")
    private String appId;

    @ApiModelProperty(value = "菜单id")
    private String pageId;

    @ApiModelProperty("页面结构定义内容")
    private String json;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("pId")
    private String pId;

    @ApiModelProperty("顺序")
    private Integer order;
}
