package net.wanji.databus.entity.client.frontdevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * @Description:
 * @Date 2020/11/23 17:24
 */
@Getter
@Setter
@ApiModel(value = "WebAppPageVO", description = "web应用页面表-返回信息")
public class WebAppPageVO {

    @ApiModelProperty(value = "菜单id")
    private String pageId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("pId")
    private String pId;

    @ApiModelProperty("顺序")
    private Integer order;
}
