package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.utils.tool.IDGenerator;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.util.LinkedList;
import java.util.List;

/**
 * @Description:
 * @Date 2019/11/27 18:42
 **/
@Getter
@Setter
@ApiModel(value = "AuthorityDepartment", description = "授权部门")
public class AuthorityDepartment extends AuthorityBase {

//    @ApiModelProperty(value = "类型--菜单:1")
//    private String type;
//
//    @ApiModelProperty(value = "认证id")
//    private String authorityObjectId;
//
//    @ApiModelProperty(value = "业务账号id")
//    private String organizationId;
//
//    public static AuthorityOrganization newInstance() {
//        return new AuthorityOrganization();
//    }
//
//    public AuthorityOrganization() {
//    }
//
    public AuthorityDepartment(String id, String type,String appId, String authorityObjectId, String authorizedId) {
        this.id = id;
        this.type = type;
        this.appId = appId;
        this.authorityObjectId = authorityObjectId;
        this.authorizedId = authorizedId;
    }

    public static List<AuthorityDepartment> buildJavaBeanList(String type,String appId, String organizationId, List<String> authorityObjectIdList) {
        List<AuthorityDepartment> authorityOrganizationList = new LinkedList<>();
        authorityObjectIdList.forEach(authorityOrganizationId -> {
            authorityOrganizationList.add(new AuthorityDepartment(IDGenerator.getID(), type,appId, authorityOrganizationId, organizationId));
        });
        return authorityOrganizationList;
    }
}

