package net.wanji.databus.entity.client.identitymanagement;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author
 * @Date 2019/11/25 16:41
 */
@Getter
@Setter
@ApiModel(value = "RoleBusinessAccountRlat",description = "应用角色-业务账号关联表")
public class RoleBusinessAccountRlat extends TrackableEntity {

    @ApiModelProperty(value = "业务账号名称")
    private String name;

    @ApiModelProperty(value = "应用角色id")
    private String roleId;

    @ApiModelProperty(value = "业务账号id")
    private String businessAccountId;

    /** 冗余字段 */
    @ApiModelProperty(value = "业务账号用户名")
    private String username;
    @ApiModelProperty(value = "业务账号状态")
    private String status;
}
