package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;

import java.util.List;

/**
 * @ClassName Component
 * @Description
 * @Author
 * @Date 2020/5/19 15:08
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "Component", description = "页面设计器-组件定义表")
public class Component extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "组建所属分组id")
    private String groupId;

    @ApiModelProperty(value = "组建分组key  冗余字段")
    private String groupKey;

    @ApiModelProperty(value = "组件标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "组件名称")
    private String name;

    @ApiModelProperty(value = "组件描述")
    private String desc;

    @ApiModelProperty(value = "组件图标地址")
    private String iconUrl;

}
