package net.wanji.databus.entity.component;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName ComponentVersion
 * @Description
 * @Author
 * @Date 2020/5/19 15:21
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "ComponentVersion", description = "页面设计器-组件定义版本表")
public class ComponentVersion extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "关联组件 group key  冗余字段")
    private String groupKey;

    @ApiModelProperty(value = "关联组件基本信息 id")
    private String componentId;

    @ApiModelProperty(value = "关联组件 key  冗余字段")
    private String componentKey;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "版本结构")
    private String yaml;

    @ApiModelProperty(value = "版本描述")
    private String desc;

    @ApiModelProperty(value = "状态:online/offline")
    private String status ;
}
