package net.wanji.databus.entity.component.DTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @ClassName Component
 * @Description
 * @Author wanji
 * @Date 2020/5/19 15:08
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "Component", description = "页面设计器-组件定义表")
public class ComponentDTO implements Serializable {

    private static final long serialVersionUID = -4052705808523280313L;

    @ApiModelProperty(value = "组建分组key  冗余字段")
    private String group;

    @ApiModelProperty(value = "组件标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "组件上线版本号")
    private String version;

    @ApiModelProperty(value = "组件名称")
    private String name;

    @ApiModelProperty(value = "组件图标地址")
    private String icon;
}
