package net.wanji.databus.entity.component.DTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "Template", description = "页面设计器-模板定义表")
public class TemplateDTO implements Serializable {

    private static final long serialVersionUID = -4052705808523280313L;

    @ApiModelProperty(value = "组建分组key  冗余字段")
    private String group;

    @ApiModelProperty(value = "模板标识名  前端解析用  唯一")
    private String key;

    @ApiModelProperty(value = "模板上线版本号")
    private String version;

    @ApiModelProperty(value = "模板名称")
    private String name;

    @ApiModelProperty(value = "模板图标地址")
    private String icon;
}
