package net.wanji.databus.entity.component.webresource;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName ResourceGroup
 * @Description
 * @Author ${wanji}
 * @Date 2020/5/29 8:35
 * @Version 1.0
 */
@Setter
@Getter
@ApiModel(value = "ResourceGroup", description = "页面设计器-资源分类表")
public class ResourceGroup extends TrackableEntity {
    @ApiModelProperty(value = "唯一标识")
    private String id;

    @ApiModelProperty(value = "资源分组名称")
    private String name;

    @ApiModelProperty(value = "资源分组描述")
    private String description;

    @ApiModelProperty(value = "资源 list")
    private List<WebResource> resources;
}
