package net.wanji.databus.entity.datasource;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 设备附属信息
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2022-04-19
 */
@Data
@ApiModel(value="AttachedInfo对象", description="")
public class AttachedInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "设备编号")
    private String tzid;

    @ApiModelProperty(value = "附属设备编号")
    private String atid;

    @ApiModelProperty(value = "设备类型")
    private String sblx;

    @ApiModelProperty(value = "检测区域")
    private String jcqy;

    @ApiModelProperty(value = "备注")
    private String bz;






}
