package net.wanji.databus.entity.datasource;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 设备参数信息
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2022-04-19
 */
@Data
@ApiModel(value="ParamInfo对象", description="")
public class ParamInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "设备编号")
    private String tzid;

    @ApiModelProperty(value = "地址")
    private String ip;

    @ApiModelProperty(value = "端口")
    private String port;

    @ApiModelProperty(value = "通讯方式")
    private String protocol;

    @ApiModelProperty(value = "附加参数")
    private String param;

    @ApiModelProperty(value = "协议类型")
    private String protocolType;

    @ApiModelProperty(value = "用户名")
    private String user;

    @ApiModelProperty(value = "密码")
    private String pwd;




}
