package net.wanji.databus.entity.develop.portaldevelop;

import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author
 * @Date 2020/6/16 17:50
 */
@Setter
@Getter
@ApiModel(value = "AppTheme", description = "门户开发-主题配置")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppTheme extends TrackableEntity {

    @ApiModelProperty(value = "主题名称")
    private String name;

    @ApiModelProperty(value = "主色值")
    private String mainColor;

    @ApiModelProperty(value = "辅色值")
    private String slaveColor;

    //是否选中该主题
    private Boolean checked = false;
}
