package net.wanji.databus.entity.develop.repo;


import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
/**
 * @author wanji
 */
@Setter
@Getter
@ApiModel(value = "RepoModuleType", description = "组件类别")
public class RepoModuleType extends TrackableEntity {
	@ApiModelProperty(value = "S_ID")
	private String id;

	@ApiModelProperty(value = "名称")
	private String name;

	@ApiModelProperty(value = "编码")
	private String code;

	@ApiModelProperty(value = "应用 ID")
	private String appId;

	@ApiModelProperty(value = "类型 common rule application")
	private String type;

	@ApiModelProperty(value = "创建日期")
	private Date createDate;
}
