package net.wanji.databus.entity.develop.servicedevelop.appmanage;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:38
 **/
@Getter
@Setter
@ApiModel(value = "AppTag", description = "门户应用标签类")
public class AppTag extends TrackableEntity {

    @ApiModelProperty(value = "标签名称")
    private String name;

    @ApiModelProperty(value = "所属门户应用id")
    private String appId;

    @ApiModelProperty(value = "操作人id")
    private String userId;

    @ApiModelProperty(value = "标签描述")
    private String description;

    @ApiModelProperty(value = "门户应用结构数据")
    private String structure;

    @ApiModelProperty(value = "pageId集合")
    private String appPages;

}
