package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 类描述: 流程运行实例信息
 * 包括流程创建人、流程运行状态、节点处理人
 *
 * @Author
 * @Date 2019/8/9 9:43
 */

@Getter
@Setter
public class ProcessRuntimeInfo {
    /*查询条件*/
    private String proecssName; //流程名称
    private String processNum; //流程编号
    private String startUser; //流程发起人
    private String assignedUser; //流程代办人
    private Date createTime; //查询开始时间点
//    private Date startTime; //查询开始时间点
//    private Date endTime; //查询结束时间点

    /*+流程结果属性字段*/
    private String processInstanceId; //流程id
    private String currentNodeName;//流程处理节点名称
    private String currentTaskId;//当前任务id

    /**
     * 描述: 构造函数
     *
     * @return net.wanji..design.entity.process.ProcessRuntimeInfo
     * @Author
     * @Date 2019/8/9 10:46
     **/
    public static ProcessRuntimeInfo newInstance() {
        return new ProcessRuntimeInfo();
    }
}
