package net.wanji.databus.entity.develop.servicedevelop.bpm.processengine.parse;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 类描述: 流程调用（子流程）格式定义
 *
 * @Author
 * @Date 2019/8/23 13:17
 */
@Getter
@Setter
public class SubProcessNodeProp {

    private String subProcessId; //子流程定义id

    private String inVariable; //输入变量名称, 就一个

    private String outVariable; //输出变量名称, 就一个

    private List<String> globalVariables; //流程全局变量，只读

}
