package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 流程规则
 * @Author: xinrui.li
 * @Date: 2020/04/18/17:29
 */
@Getter
@Setter
@ApiModel(value = "WorkflowRule", description = "流程规则")
public class WorkflowRule extends TrackableEntity {
    @ApiModelProperty(value = "规则名称", required = true)
    private String name;

    @ApiModelProperty(value = "code")
    private String code;
}
