package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author: xinrui.li
 * @Date: 2020/04/24/18:11
 */
@Getter
@Setter
@ApiModel(value = "WorkflowTaskPerson", description = "处理人、委派人实体类")
public class WorkflowTaskPerson extends TrackableEntity {
    @ApiModelProperty(value = "用户ID",required = true)
    private String userId;
    @ApiModelProperty(value = "日志表id",required = true)
    private String workflowLogId;
    @ApiModelProperty(value = "任务ID",required = true)
    private String taskId;
    @ApiModelProperty(value = "类型:  处理人：dispose、委派人：appoint",required = true)
    private String type;
    @ApiModelProperty(value = "应用ID",required = true)
    private String appId;
}
