package net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述: 流程类型数据库对应实体类定义
 *
 * @Author
 * @Date 2019/8/26 10:00
 */
@Getter
@Setter
@ApiModel(value = "WorkflowType", description = "流程类型数据库对应实体类定义")
public class WorkflowType extends TrackableEntity {

    @ApiModelProperty(value = "类型名称", example = "行政类流程", required = true)
    private String name;

    @ApiModelProperty(value = "appId")
    private String appId;
}
