package net.wanji.databus.entity.develop.servicedevelop.bpm.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 类描述: 用户组岗位对应实体类
 *
 * @Author
 * @Date 2019/8/22 15:01
 */
@Getter
@Setter
@ApiModel(value = "DepartmentPost", description = "用户组岗位")
public class GroupPost extends TrackableEntity {

    @ApiModelProperty(value = "用户组岗位名称")
    private String name;

    private GroupPost() {
    }

    public static GroupPost newInstance() {
        return new GroupPost();
    }
}
