package net.wanji.databus.entity.develop.servicedevelop.develop;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/26 15:42
 */
@Setter
@Getter
@ApiModel(value = "ERDiagrammer", description = "ER图")
public class ERDiagrammer extends TrackableEntity {

    @ApiModelProperty(value = "关联数据库id")
    private String dbId;

    @ApiModelProperty(value = "关联微服务模块id")
    private String moduleId;

    @ApiModelProperty(value = "ER图json")
    private String structure;

    public static ERDiagrammer newInstance() { return new ERDiagrammer(); }
}
