package net.wanji.databus.entity.develop.servicedevelop.develop.workflow;

import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 流程节点类型：startNode,endNode,forkNode,joinNode,flowNode,childFlows
 *
 * @author wanji
 */
@Data
public class FlowNode implements Serializable {

    private String id;

    private String type;

    private String name;

    private String status;

    private WorkFlowInfo subWorkflow;

    //流程节点
    private List<FlowNode> nodes = Lists.newArrayList();

}
