package net.wanji.databus.entity.develop.servicedevelop.develop.workflow;

import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 流程的对象
 */
@Data
public class WorkFlowInfo implements Serializable {

    private String id;

    private String runId;
    /**
     * 流程运行状态
     */
    private boolean runStatus = true;

    private String name;

    private String transaction;

    //流程全局变量
    private List<FlowVar> vars = Lists.newArrayList();

    //流程节点
    private List<FlowNode> nodes = Lists.newArrayList();

    //流程的线
    private List<FlowLine> lines = Lists.newArrayList();

}
