package net.wanji.databus.entity.develop.servicedevelop.rule;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 常量库
 */
@ApiModel(value = "ConstantLibrary", description = "常量库")
@Getter
@Setter
public class ConstantLibrary extends TrackableEntity {
    @ApiModelProperty(value = "规则目录id")
    private String ruleCategoryId;

    @ApiModelProperty(value = "常量库名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String description;
}
