package net.wanji.databus.entity.develop.servicedevelop.rule;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 常量库参数
 */
@ApiModel(value = "ConstantLibraryParam", description = "常量库参数")
@Getter
@Setter
public class ConstantLibraryParam extends TrackableEntity {
    @ApiModelProperty(value = "常量库主键")
    private String constantLibraryId;

    @ApiModelProperty(value = "常量名")
    private String name;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "常量的值")
    private String value;

    @ApiModelProperty(value = "常量类型")
    private String type;
}
