package net.wanji.databus.entity.develop.servicedevelop.rule;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 参数库
 */
@ApiModel(value = "ParameterLibrary", description = "参数库")
@Getter
@Setter
public class ParameterLibrary extends TrackableEntity {
    @ApiModelProperty(value = "规则目录id")
    private String ruleCategoryId;

    @ApiModelProperty(value = "参数库名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String description;
}
