package net.wanji.databus.entity.develop.servicedevelop.rule;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 参数库参数
 */
@ApiModel(value = "ParameterLibraryParam", description = "参数库参数")
@Getter
@Setter
public class ParameterLibraryParam extends TrackableEntity {
    @ApiModelProperty(value = "参数名")
    private String name;

    @ApiModelProperty(value = "参数库ID")
    private String parameterLibraryId;

    @ApiModelProperty(value = "参数类型")
    private String type;

    @ApiModelProperty(value = "描述")
    private String description;
}
