package net.wanji.databus.entity.develop.servicedevelop.rule;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 规则脚本
 */
@ApiModel(value = "RuleScript", description = "规则脚本")
@Getter
@Setter
public class RuleScript extends TrackableEntity {
    @ApiModelProperty(value = "规则目录id")
    private String ruleCategoryId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "规则类型(1决策集)")
    private String ruleType;

    @ApiModelProperty(value = "脚本内容")
    private String script;

    @ApiModelProperty(value = "是否发布")
    private String published;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "传参原始json")
    private String jsonData;

    @ApiModelProperty(value = "测试数据")
    private String testData;
}
