package net.wanji.databus.entity.integration.messagecenter;/**
 * @author hanyang.pan
 * @date
 */

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *@Description:
 *@Author hanyang.pan
 *@Date 2020/2/28 11:11
 */
@Getter
@Setter
@ApiModel(value = "MessageFilterItemRlat", description = "消息中心配置-消息过滤内容配置项")
public class MessageFilterItemRlat extends TrackableEntity {
    @ApiModelProperty(value = "uuid")
    private String id;

    @ApiModelProperty(value = "消息主题")
    private String topicId;

    @ApiModelProperty(value = "关联消息过滤配置id")
    private String filterItemId;

    // 扩展字段
    // 关键字
    private String filterItemName;

    // 匹配模式
    private Integer filterType;

    // 拦截模式
    private Integer dealType;

    public static MessageFilterItemRlat newInstance() {
        return new MessageFilterItemRlat();
    }
}
