package net.wanji.databus.entity.integration.messagecenter;/**
 * @author hanyang.pan
 * @date
 */

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 消息中心-消息路由实体
 * @Author hanyang.pan
 * @Date 2020/3/9 14:07
 */
@Setter
@Getter
@ApiModel(value = "MessageRoute", description = "消息中心配置-消息路由定义表")
public class MessageRoute extends TrackableEntity {

    @ApiModelProperty(value = "UUID")
    private String id;

    @ApiModelProperty(value = "ori结构信息，G6用的")
    private String oriStructure;

    @ApiModelProperty(value = "dest结构信息,后端用的")
    private String destStructure;

    public static MessageRoute newInstance() {
        return new MessageRoute();
    }
}
