package net.wanji.databus.entity.integration.servicegateway.a2a;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * a2a 系统接入
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "A2ASystem", description = "系统")
public class A2ASystem extends TrackableEntity {

    @ApiModelProperty(value = "系统名")
    private String name;

    @ApiModelProperty(value = "区分内部系统(inside)和外部系统(outside) webservice")
    private String type;

    @ApiModelProperty(value = "系统路径")
    private String path;

    @ApiModelProperty(value = "微服务名称")
    private String microserviceName;
}
