package net.wanji.databus.entity.manage.appdeploy;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author wanji
 * @date 2019/3/5
 */
@Setter
@Getter
@ApiModel(value = "Server", description = "服务器")
public class Server extends TrackableEntity {
    @ApiModelProperty(value = "服务器id")
    private String id;

    @ApiModelProperty(value = "服务器ip")
    private String ip;

    @ApiModelProperty(value = "服务器名")
    private String name;

    @ApiModelProperty(value = "服务器状态")
    private String status;

    public static Server newInstance() {
        return new Server();
    }
}
