package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "MobileApiRouter", description = "平台设置-移动APP参数设置")
public class MobileApiRouter extends TrackableEntity {

    @ApiModelProperty(value = "参数的名称")
    private String name;

    @ApiModelProperty(value = "key")
    private String domain;

    @ApiModelProperty(value = "value")
    private String url;

    @ApiModelProperty(value = "状态")
    private String status = "enable";

    @ApiModelProperty(value = "参数类型：移动路由/皮肤")
    private String type ;

    @ApiModelProperty(value = "版本ID，冗余字段")
    private String mobileAppVersionId;

    public static MobileApiRouter newInstance() {
        return new MobileApiRouter();
    }
}
