package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "MobileAppVersion", description = "平台设置-移动APP版本")
public class MobileAppVersion extends TrackableEntity {

    @ApiModelProperty(value = "移动APP的ID，外键")
    private String mobileAppId;

    @ApiModelProperty(value = "移动APP的uniId")
    private String uniId;

    @ApiModelProperty(value = "移动APP版本号")
    private String version;

    public static MobileAppVersion newInstance() {
        return new MobileAppVersion();
    }
}
