package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * @author shun.yin
 * @date 2020/3/16
 */
@Getter
@Setter
@ApiModel(value = "SysUserMenu", description = "用户菜单关联表")
public class SysUserMenu extends TrackableEntity {

    @ApiModelProperty(value = "用户Id", required = true)
    private String userId;

    @ApiModelProperty(value = "菜单Id", required = true)
    private String menuId;



    public static SysUserMenu newInstance() {
        return new SysUserMenu();
    }
}

