package net.wanji.databus.entity.manage.systemsetting;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wanji
 * @date 2019/3/6
 */
@Setter
@Getter
@ApiModel(value = "SystemConfigType", description = "系统参数类别")
public class SystemConfigType extends TrackableEntity {

    @ApiModelProperty(value = "系统参数类别名")
    private String name;

    public static SystemConfigType newInstance() {
        return new SystemConfigType();
    }
}
