package net.wanji.databus.entity.manage.systemsetting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 地图图层配置
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2021-04-19
 */
@Data
@ApiModel(value="TileInfo对象", description="")
public class TileInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "图层名称")
    private String tileName;

    @ApiModelProperty(value = "图层url地址")
    private String tileUrl;

    @ApiModelProperty(value = "图层类型：1矢量，2栅格，3WMS，4WTMS，5TMS，6WFS")
    private Integer tileType;

    @ApiModelProperty(value = "是否默认值：1 是 0 否")
    private Integer isDefault;

    @ApiModelProperty(value = "创建用户id")
    private String createUserId;






}
