package net.wanji.databus.entity.metadata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import net.wanji.common.framework.domain.TrackableEntity;

/**
 * <p>
 * 
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2021-10-29
 */
@Data
@ApiModel(value="FieldInfo对象", description="")
public class FieldInfo extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    private String tableName;

    private String fieldName;

    private String fieldType;

    private String modifyDate;

    private String greatDate;

    private String author;

    private String dataVesion;

    private String preDataVersion;

    private Integer dictionaryType;

    private Integer isModify;

    private String chnName;

    private Integer flOrder;

    private String defSett;

    private String conTable;

    private String conField;

    private Integer isShow;

    private Integer isRgeom;

    private Integer isKey;

    private String outputName;

    private String des;



}
