package net.wanji.databus.entity.monitor.statistics;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author
 * @Date 2020/6/12 17:50
 */
@Setter
@Getter
@ApiModel(value = "UserChartInfo", description = "统计分析-用户类图表信息")
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class UserChartInfo extends TrackableEntity {

    @ApiModelProperty(value = "登录时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    @ApiModelProperty(value = "图表选项")
    private Object chartOption;

    @ApiModelProperty(value = "图表数值")
    private Integer chartData;
}
