package net.wanji.databus.entity.monitor.statistics;

import com.alibaba.fastjson.annotation.JSONField;
import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ApiModel(value = "VersionChartInfo",description = "版本图表")
public class VersionChartInfo extends TrackableEntity {

    @ApiModelProperty(value="统计时间")
    @JSONField(format = "yyyy-MM-dd")
    private Date statisticsTime;

    @ApiModelProperty(value = "图表数值")
    private Integer statisticsValue;

}
