package net.wanji.databus.entity.monitor.statistics;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "VersionStatistics",description = "版本分析")
public class VersionStatistics  extends TrackableEntity {

    @ApiModelProperty(value = "统计版本")
    private String clientVersion;

    @ApiModelProperty(value = "升级用户数")
    private Integer dailyUpdateUser;

    @ApiModelProperty(value = "新用户数")
    private Integer dailyNewUser;

    @ApiModelProperty(value = "升级+新用户数")
    private Integer dailyNewAndUpdateUser;

    @ApiModelProperty(value = "启动次数")
    private Integer dailyVersionStartUp;

    @ApiModelProperty(value = "查询图标类型")
    private String type;
}
